/* GLOBAL STUFF */
body #content{
    padding-left: 250px;
}
body.th-ww1 #content{
    background: var(--th-ww1-bg);
}
.theme{
    user-select: none;
}
.view{
    display: inline-block;
    border: 1px solid rgb(50,50,50);
    margin: 0 4px;
    border-radius: 5px;
    vertical-align: top;
    padding: 10px;
}
.panel{
    background: rgb(15, 15, 15);
    box-shadow: inset 0px 0px 10px black;
    border: 1px solid rgb(50,50,50);
    border-radius: 5px;
    margin: 10px 0;
    display: inline-block;
    width: 100%;
    padding: 10px;
}
.th-ww1 .panel{
    background: var(--th-ww1-bg);
    box-shadow: inset 0px 0px 10px rgba(0, 0, 0, .3);
    border: 1px solid rgba(0,0,0, .3);
}
.th-ww1 .view{
    border: 1px solid rgba(0,0,0, .3);
}
.model-summary{
    margin: 2px;
    vertical-align: top;
}
.pop-item .model-summary{
    display: inline-block;
    width: auto;
    margin: 5px;
    max-width: 250px;
}
.pop-item .expl{
    text-align: center;
    margin-top:20px;
}
.model-summary .button.claim,
.model-summary .button.rm{
    font-size: .9rem;
}
.model-summary .button.claim{
    pointer-events: none;
    opacity: 0;
}
.model-summary:hover .button.claim{
    pointer-events: initial;
    opacity: 1;
}
/* .fundraising .modal-content{
    min-height: 70vh;
} */
.fundraising textarea{
    height: 40px;
}
.fundraising .Funder-model-summary{
    width: 250px;
    height: 100px;
    cursor: pointer;
    transition: .3s;
}
.fundraising .Funder-model-summary.selected{
    /* animation: selectedSummary 3s linear infinite; */
    background: rgb(60,60,60);
    box-shadow: 0px 0px 10px black, 0px 0px 40px rgba(0,0,0,.9) inset;
    color: white;
}
.fundraising textarea{
    margin-top: 40px;
}
.fundraising input[type=number]{
    max-width: auto;
    width: auto;
    display: block;
    margin-bottom: 0;
}

.fundraising .modal-content{
    max-width: 1400px;
}
.fundraising .left-panel{
    max-width: 40%;
}
.fundraising .right-panel{
    max-width: 60%;
}
.fundraising textarea.user-chat{
    margin-top: 10px;
}
.fundraising .user-instruction{
    margin-top: 10px;
}
.button.fundraise{
    background: linear-gradient(green, #073c07);
}

.chat-log{
    /* border: 1px solid; */
    border-radius: 5px;
    overflow-y: auto;
    height: calc( 100vh - 410px );
    padding: 5px;
    background: rgba(0, 0, 0, .5);
}
.chat{
    padding: 10px;
    position: relative;
}
.chat.user{
    border: 1px solid rgb(40,40,40);
    border-radius: 5px;
}
.chat.assistant{
    padding-left: 30px;
}
.decision{
    font-size: .9rem;
    text-align: center;
    padding: 5px 0;
    color: #c87575;
}
.decision.approved{
    color: #40b340;
}










/* LEFT VIEW */
#content{
    position: relative;
    top: 0;
}
#view-p1{
    width: 25%;
    /* border: 2px solid red; */
    position: sticky;
    top: 30px;
    /* display: block; */
    /* display: block; */
}
#view-p1 h4{
    color: white;
}
.th-ww1 #view-p1 h4{
    color: var(--dark-border);
}
#view-p1 .button{
    margin: 2px 0;
}
#corp-add input,
#corp-add select{
    width: 100%;
}
#view-p1 .Corp-model-summary{
    border: 0px solid;
    padding-left: 0;
    width: 100%;
}
#view-p1 .Corp-model-summary .corp-name{
    font-family: helvetica !important;
    font-size: 1.5rem;
}
#corp-ai,
#corp-inventory{
    width: 100%;
}
#corp-inventory .data{
    display: inline-block;
}
#corp-cash{
    margin-bottom: 20px;
    
}



/* CENTER VIEW */
#view-main{
    width: 50%;
}
#section-users,
#section-corps{
    /*  */
}
.Corp-model-summary{
    display: inline-block;
    width: auto;
}
.user-wrap{
    display: inline-block;
    color: black;
    font-size: 1rem;
    width: 120px;
}
.user-wrap .user-cover{
    max-width: 70px;
}
.Nation-model-summary{
    display: inline-block;
    width: auto;
    font-size: .8rem;
}
#view-main .corp-name{
    cursor: pointer;
}
#view-main .corp-name:hover{
    color: orange;
}





/* MODEL SPECIFIC */
.summary-name{
    font-weight: bold;
    color: lightgrey;
}
.th-ww1 .summary-name{
    color: var(--dark-bg);
}
.summary-desc{
    font-size: .9rem;;
}

.summary-created{
    font-size: .8rem;;
    text-align: right;
    margin-bottom: 5px;
}
.model-summary .button.rm{
    margin-top: 10px;
    background: linear-gradient( maroon, #100606 )
}
.model-summary .button.set{
    font-size: .9rem;
    /* padding: 3px; */
    margin: 0 2px;
    
}
.item-expl{
    color: lightblue;
}
#user-corp .model-summary{
    padding: 10px;
}
#user-corp,
.is-active-corp{
    background: rgb(35, 30, 30);
    box-shadow: 0px 0px 37px inset rgba(0, 0, 0, .9);
}
.th-ww1 #user-corp,
.th-ww1 .is-active-corp{
    background: rgb(215, 190, 180);
    box-shadow: 0px 0px 37px inset rgba(0, 0, 0, .4);
}
/* .env-local .model-summary.player1-is-owner{
    border: 2px solid var(--env-local);
} */
.funder-desc{
    display: none;
    font-size: .9rem;
    margin-top: 10px;
}
.selected .funder-desc{
    display: inline-block;
}
.funder-model-summary.selected{
    height: auto;
}
/* .dc-created{
    position:absolute;
    top: 5px;
    right: 5px;
} */



#find-place input{
    width: 100%;
}
#my-places,
#find-place{
    display: inline-block;
    vertical-align: top;
    padding: 0 20px;
}
#my-places{
    width: 300px;
}
#my-places h3{
    margin-top: 0;
   	margin-bottom: 90px;
}
#find-place{
    margin-top: 20px;
    width: calc( 100% - 310px );
}
#find-place input{
    /* background: rgba(0,0,0,.7) */
}
.is-mobile #my-places,
.is-mobile #find-place{
    width: 100%;
}

#splash-logo{
    opacity: .2
}

.find-esta .modal-content{
    height: 95vh;
}



.model-listing-Establishment .listing-name{
    margin-left: 20px;
}



@media screen and (max-width: 800px){
    #view-main,
    #view-p1{
        max-width: 100%;
        width: 100%;
    }
    #view-p1{
        position: relative;
        top: auto;
        margin-bottom: 10px;
    }
    #my-places h3{
   		margin-bottom: 20px;
	}	
}



/* ANIMS & MEDIA */
@keyframes selectedSummary {
  0% {
    box-shadow: 0px 0px 5px orange inset;
  }
  50% {
    box-shadow: 0px 0px 10px orange inset;
  }
  100% {
    box-shadow: 0px 0px 5px orange inset;
  }
}